Bug 126075 - a few ja glyphs mapped to incorrect Unicode points
a few ja glyphs mapped to incorrect Unicode points
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: ttfonts-ja (Show other bugs)
3
All Linux
medium Severity medium
: ---
: ---
Assigned To: Akira TAGOH
: i18n
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2004-06-15 15:49 EDT by Eido Inoue
Modified: 2007-11-30 17:10 EST (History)
3 users (show)

See Also:
Fixed In Version: 1.2-36
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2005-09-21 13:51:57 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Eido Inoue 2004-06-15 15:49:58 EDT
Description of problem:
Using the character map utility and confirming with either the
character description provided by charmap or by checking the Unicode
books, one can see that incorrect Unicode numbers have been assigned
to a few CJK chars.

Version-Release number of selected component (if applicable):
2.11-26 (assuming the component of ttfonts-zh_TW is correct)

How reproducible:
Always

Steps to Reproduce:
1. launch gucharmap on a FC2 system with all three (CJK) langs installed
2. Select "Common" (<- why isn't this translated in Japanese locale?)
area, scroll down to U+32A4
3. or... just look at this bug description with mozilla on cjk fc2,
and compare to a windows/mac box with a complete unicode font installed.
  
Actual results (assuming you're viewing this bug with CJK FC2 Mozilla):
"circled high" (U+32A4): ㊤
"circled medium" (U+32A5): ㊥
"circled low" (U+32A6): ㊦
"circled left" (U+32A7): ㊧
"circled right" (U+32A8): ㊨

Expected results:
something similar to U+32A3: ㊣

for example:

U+32A4: circled 高
U+32A5: circled 中
U+32A6: circled 低
U+32A7: circled å·¦
U+32A8: circled 右

Additional info:
The glyph at U+32A9 isn't even rendering correctly... it's either
missing something in the top left or the "女 radical" is squashed.
Comment 1 Eido Inoue 2004-06-15 15:52:18 EDT
typo in Additional Info:

s/U+32A9/U+32A8 (㊨)
Comment 2 Eido Inoue 2004-06-15 16:09:25 EDT
argh! yet another typo in Additional Info:

s/top left/top right/

(but you know what i mean ☺)
Comment 3 Leon Ho 2004-06-15 21:28:54 EDT
I have switched to different CJK font in gucharmap. When I see the
wrong glyphs from U+32A4 - U+32A8, i right click the glyph and see the
glyph is coming from Kochi Mincho. Assigning to correct component.
Fortunately, we should have more chance to fix Kochi* in upstream than
any other CJK fonts. Tagoh-san, would you able to contact upstream
about it?
Comment 4 Akira TAGOH 2004-06-17 03:48:52 EDT
ok. I just sent an e-mail about it to the upstream then. I'll wait the
response from the upstream. we can modify the font with fontforge say
and use it instead of the original one, though.
Comment 5 Akira TAGOH 2004-06-28 07:35:28 EDT
this problem should be fixed in 1.2-36. please try it again.
Comment 8 Eido Inoue 2004-07-07 12:28:18 EDT
I checked with dist-fc3:1.2-36 rebuilt for fc2. It sort-of fixes the
problem-- by deleting the glyphs.

U+32A4 to U+32A8 are now not mapped to glyphs, and instead produce
their Unicode hex numbers.

So I guess this can be called fixed, if no glyphs have been made for
these codepoints.
Comment 9 Akira TAGOH 2004-07-07 22:16:57 EDT
ok. closing this bug then. thanks
Comment 10 Eido Inoue 2004-07-08 15:50:26 EDT
sorry tagoh, spoke to soon. the new font lacks:

U+3000 fullwidth ideographic space

you can reproduce this with ja IIIMF by typing "(" or ")", hitting
convert twice, and noticing that the candidate window for conversion
options includes half-width parenthesis + full width space (where the
full width U+3000 is in hex notation.
Comment 11 Akira TAGOH 2004-07-12 02:05:32 EDT
I couldn't reproduce that problem. my test box has only ttfonts-ja
installed, and nothing ~/.fonts.conf and ~/.fonts directory. 
$ rpm -qa | grep ttfonts
ttfonts-ja-1.2-36

actually when I chose U+3000 with Kochi Gothic and Kochi Mincho on
gucharmap, it's not in hex notation. plus, when I looked at U+3000 on
fontforge, there are an outline font on that. so it's not a bug in
ttfonts-ja, I think.
Comment 12 Akira TAGOH 2004-12-06 02:26:16 EST
Due to Bug#139798, this changes was just reverted so that I have no time to
investigate fontforge right now. repoening.
Comment 13 Matthew Miller 2005-04-26 11:33:23 EDT
Fedora Core 2 is now maintained by the Fedora Legacy project for
security updates only. If this problem is a security issue, please
reopen and reassign to the Fedora Legacy product. If it is not a
security issue and hasn't been resolved in the current FC3 updates or
in the FC4 test release, reopen and change the version to match.
Comment 14 Eido Inoue 2005-04-26 14:19:03 EDT
Bug is present in FC3
Comment 15 Akira TAGOH 2005-09-21 13:51:57 EDT
This problem is resolved in the next release, with Sazanami fonts. We aren't
planning to provide a resolution for this problem. Kochi fonts isn't maintained
in upstream anymore and there is no way of fixing this in the open-source way
ATM it seems once we tried to fix this but it caused another problem. 
Backporting Sazanami fonts for the deployed systems is difficult without taking
a lot of risks.

Note You need to log in before you can comment on or make changes to this bug.